Bug 2880 - LynxOS 4.0.0 PL71 Build Issues: uint/fnmatch/strptime/optind
Summary: LynxOS 4.0.0 PL71 Build Issues: uint/fnmatch/strptime/optind
Status: ASSIGNED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Build environment (show other bugs)
Version: 3.0.14a
Hardware: Other Other
: P5 normal
Target Milestone: none
Assignee: Tim Potter
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-15 11:58 UTC by JimT (dead mail adrress)
Modified: 2020-01-19 21:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JimT (dead mail adrress) 2005-07-15 11:58:32 UTC
I was able to build samba 3.0.14a on LynxOS 4.0.0 PatchLevel 71 (Native ppc) by
fixing the following. Maybe they should be fixed in the distribution.

  - Fixed "BUG 1080" by renaming include/vfs.h to include/smbvfs.h and changing
    include/smb.h to reference smbvfs.h instead of vfs.h

  - Add "typedef unsigned int uint;" to include/includes.h near "Samba needs
    type definitions..."

  - Change configure to build and use a local fnmatch.c when one does not
    exist in the library (LynxOS doesn't have fnmatch(3)) (also fnmatch.h)

  - Same for strptime(3); configure should build a local copy and use it when
    the build env libs does not contain the strptime() call

  - cmd_shutdown.c does not declare optind in cmd_shutdown_init() before using
    it.  Linux may have this in a sys hdr file, but LynxOS doesn't.

Also tons of build warnings were ignored.
Comment 1 Jeremy Allison 2005-07-21 18:21:01 UTC
Can you send in patches for these issues please (except for the vfs rename,
we'll take care of that). Remember they need to be (C) yourself as an individual
not (C) your company. If you can send them in I'll make sure they get applied.
Thanks,
Jeremy.
Comment 2 Douglas Bagnall 2020-01-19 21:47:51 UTC
We still do some of the things LynxOS was complaining about (e.g. optind is undeclared), but I don't know if anyone is still doing Samba on LynxOS, or if LynxOS has grown more compatible with samba.